This fixes CVE-2016-6185 vulnerability (do not let XSLoader load relative paths).

How to install

sudo dnf upgrade --refresh --advisory=FEDORA-2016-eb2592245b

This update has been submitted for testing by jplesnik.

6 years ago

ppisar edited this update.

6 years ago

This update has been pushed to testing.

6 years ago
karma
User Icon ppisar commented & provided feedback 6 years ago
karma

So far good, loading XS modules works for me.

This update has been submitted for stable by jplesnik.

6 years ago

This update has been pushed to stable.

6 years ago
User Icon manik1596 commented & provided feedback 6 years ago
karma

LGTM


Please login to add feedback.

Metadata
Type
security
Karma
3
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
6 years ago
in testing
6 years ago
in stable
6 years ago
modified
6 years ago
BZ#1353238 Please update XSLoader to 0.22
0
0
BZ#1354386 CVE-2016-6185 perl: XSLoader loads relative paths not included in @INC
0
0

Automated Test Results

Test Cases

0 0 Test Case Perl sanity